import 'package:aman_kassa_flutter/core/models/calc_model.dart';
import 'package:meta/meta.dart';

@immutable
class CalcState {
  final List<CalcModel>? calcItems;
  final bool? isEqual;

  CalcState({this.calcItems, this.isEqual});

  factory CalcState.initial() => CalcState(calcItems: [], isEqual: false);

  CalcState copyWith({
    @required calcItems,
    @required isEqual,
  }) {
    return CalcState(
      calcItems: calcItems ?? this.calcItems,
      isEqual: isEqual ?? this.isEqual,
    );
  }
}

